%{?nodejs_find_provides_and_requires}

%global packagename hash-test-vectors

Name: nodejs-%{packagename}
Version: 1.3.2
Release: 1%{?dist}.3
Summary: test vectors for hashes
License: MIT
URL: https://github.com/crypto-browserify/hash-test-vectors
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging

%description
The nist test vectors expanded to cover every hash function
supported by node.js, output is saved in a json file, so that
it is possible to run tests in the browser.

NIST provides test vectors for sha and md5, and this module takes
that set and outputs a json file containing the input (in base 64)
plus all output of every hash function that node.js supports.

This makes it easy to test javascript hash functions,
with fairly roboust coverage.


%prep
%setup -q -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr *.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Sep 22 2016 Oleg Girko <ol@infoserver.lv> - 1.3.2-3
- Don't rebuild vectors, use packaged ones
* Wed Sep 21 2016 Oleg Girko <ol@infoserver.lv> - 1.3.2-2
- Install all json files
* Wed Sep 21 2016 Oleg Girko <ol@infoserver.lv> - 1.3.2-1
- Initial package.
